%global momorel 16
%global scimver 1.4.9
%global skimver 1.4.4
%global skimrel 0.20060301.16m
%global honokaver 0.9.1
%global honokarel 13m
%global artsver 1.5.10
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 6m
%global kdebaserel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global srcname skim_honoka

Summary: skim-honoka is a honoka settings plugin for SKIM
Name: skim-honoka
Version: 0.9.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: User Interface/X
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/honoka/%{srcname}-%{version}.tar.gz
NoSource: 0
Source1: admin.tar.bz2
Patch0: %{name}-%{version}-automake111.patch
Patch1: %{name}-%{version}-autoconf265.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: skim >= %{skimver}
Requires: honoka >= %{honokaver}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase3 >= %{kdever}-%{kdebaserel}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: skim-devel >= %{skimver}-%{skimrel}
BuildRequires: honoka-devel >= %{honokaver}-%{honokarel}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig

%description
skim-honoka is a honoka settings plugin for SKIM.

%prep
%setup -q -n %{srcname}-%{version}

# build fix
rm -rf admin
tar xf %{SOURCE1}

%patch0 -p1 -b .automake111
%patch1 -p1 -b .autoconf265

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/kde3/kcm_%{srcname}.la
%{_libdir}/kde3/kcm_%{srcname}.so
%{_datadir}/apps/skim/pics/honoka.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/%{srcname}.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-16m)
- full rebuild for mo7 release

* Sun May 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-15m)
- import arts-acinclude.patch as autoconf265.patch from F-13
- fix build with new autoconf

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-14m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-13m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-12m)
- change BuildRequires: skim to skim-devel

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-11m)
- fix build with new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-10m)
- rebuild against rpm-4.6

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-9m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-8m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-7m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-6m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-5m)
- %%NoSource -> NoSource

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-4m)
- clean up spec file

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-3m)
- rebuild against kdelibs etc.

* Sun Oct 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-2m)
- import new admin/* from svn.kde.org for new autotools

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- update 0.9.0

* Sun Feb 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.2-1m)
- update 0.8.2
- remove patch. skim_honoka-0.8.1-load_save_fix.diff

* Fri Feb  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- initial package for Momonga Linux
